#include "button.h"
#include "AI8051U.h"
#include "global.h"
#include "AI8051U_ADC.h"

void button_init()
{
	/* 选择ADC输入的IO必须配置为高阻输入模式	*/
    P1M0 &= ~0x02; 
	P1M1 |= 0x02; 
	adc_init();
}

	
/* 都没按下：4095 按下按键1:1033 按下按键2:2732 都按下：829 */
uint8_t get_button_state()
{
	uint16_t val = 0;
	val = ADC_convert(ADC_CH0);	/* 获得ADC采样结果 */
	
	if(val > 1033 - 30 && val < 1033 + 30)
	{
		return 1;
	}
	else if(val > 2732 - 30 && val < 2732 + 30)
	{
		return 2;
	}
	else if(val > 829 - 30 && val < 829 + 30)
	{
		return 3;
	}
	return 0;
}


